/*******************************************************************************
* File Name: Alive.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Alive_H) /* Pins Alive_H */
#define CY_PINS_Alive_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Alive_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Alive_Write(uint8 value) ;
void    Alive_SetDriveMode(uint8 mode) ;
uint8   Alive_ReadDataReg(void) ;
uint8   Alive_Read(void) ;
uint8   Alive_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Alive_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Alive_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Alive_DM_RES_UP          PIN_DM_RES_UP
#define Alive_DM_RES_DWN         PIN_DM_RES_DWN
#define Alive_DM_OD_LO           PIN_DM_OD_LO
#define Alive_DM_OD_HI           PIN_DM_OD_HI
#define Alive_DM_STRONG          PIN_DM_STRONG
#define Alive_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Alive_MASK               Alive__MASK
#define Alive_SHIFT              Alive__SHIFT
#define Alive_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Alive_PS                     (* (reg8 *) Alive__PS)
/* Data Register */
#define Alive_DR                     (* (reg8 *) Alive__DR)
/* Port Number */
#define Alive_PRT_NUM                (* (reg8 *) Alive__PRT) 
/* Connect to Analog Globals */                                                  
#define Alive_AG                     (* (reg8 *) Alive__AG)                       
/* Analog MUX bux enable */
#define Alive_AMUX                   (* (reg8 *) Alive__AMUX) 
/* Bidirectional Enable */                                                        
#define Alive_BIE                    (* (reg8 *) Alive__BIE)
/* Bit-mask for Aliased Register Access */
#define Alive_BIT_MASK               (* (reg8 *) Alive__BIT_MASK)
/* Bypass Enable */
#define Alive_BYP                    (* (reg8 *) Alive__BYP)
/* Port wide control signals */                                                   
#define Alive_CTL                    (* (reg8 *) Alive__CTL)
/* Drive Modes */
#define Alive_DM0                    (* (reg8 *) Alive__DM0) 
#define Alive_DM1                    (* (reg8 *) Alive__DM1)
#define Alive_DM2                    (* (reg8 *) Alive__DM2) 
/* Input Buffer Disable Override */
#define Alive_INP_DIS                (* (reg8 *) Alive__INP_DIS)
/* LCD Common or Segment Drive */
#define Alive_LCD_COM_SEG            (* (reg8 *) Alive__LCD_COM_SEG)
/* Enable Segment LCD */
#define Alive_LCD_EN                 (* (reg8 *) Alive__LCD_EN)
/* Slew Rate Control */
#define Alive_SLW                    (* (reg8 *) Alive__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Alive_PRTDSI__CAPS_SEL       (* (reg8 *) Alive__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Alive_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Alive__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Alive_PRTDSI__OE_SEL0        (* (reg8 *) Alive__PRTDSI__OE_SEL0) 
#define Alive_PRTDSI__OE_SEL1        (* (reg8 *) Alive__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Alive_PRTDSI__OUT_SEL0       (* (reg8 *) Alive__PRTDSI__OUT_SEL0) 
#define Alive_PRTDSI__OUT_SEL1       (* (reg8 *) Alive__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Alive_PRTDSI__SYNC_OUT       (* (reg8 *) Alive__PRTDSI__SYNC_OUT) 


#if defined(Alive__INTSTAT)  /* Interrupt Registers */

    #define Alive_INTSTAT                (* (reg8 *) Alive__INTSTAT)
    #define Alive_SNAP                   (* (reg8 *) Alive__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Alive_H */


/* [] END OF FILE */
