/*******************************************************************************
* File Name: BoardLEDOut.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BoardLEDOut_H) /* Pins BoardLEDOut_H */
#define CY_PINS_BoardLEDOut_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "BoardLEDOut_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    BoardLEDOut_Write(uint8 value) ;
void    BoardLEDOut_SetDriveMode(uint8 mode) ;
uint8   BoardLEDOut_ReadDataReg(void) ;
uint8   BoardLEDOut_Read(void) ;
uint8   BoardLEDOut_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define BoardLEDOut_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define BoardLEDOut_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define BoardLEDOut_DM_RES_UP          PIN_DM_RES_UP
#define BoardLEDOut_DM_RES_DWN         PIN_DM_RES_DWN
#define BoardLEDOut_DM_OD_LO           PIN_DM_OD_LO
#define BoardLEDOut_DM_OD_HI           PIN_DM_OD_HI
#define BoardLEDOut_DM_STRONG          PIN_DM_STRONG
#define BoardLEDOut_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define BoardLEDOut_MASK               BoardLEDOut__MASK
#define BoardLEDOut_SHIFT              BoardLEDOut__SHIFT
#define BoardLEDOut_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define BoardLEDOut_PS                     (* (reg8 *) BoardLEDOut__PS)
/* Data Register */
#define BoardLEDOut_DR                     (* (reg8 *) BoardLEDOut__DR)
/* Port Number */
#define BoardLEDOut_PRT_NUM                (* (reg8 *) BoardLEDOut__PRT) 
/* Connect to Analog Globals */                                                  
#define BoardLEDOut_AG                     (* (reg8 *) BoardLEDOut__AG)                       
/* Analog MUX bux enable */
#define BoardLEDOut_AMUX                   (* (reg8 *) BoardLEDOut__AMUX) 
/* Bidirectional Enable */                                                        
#define BoardLEDOut_BIE                    (* (reg8 *) BoardLEDOut__BIE)
/* Bit-mask for Aliased Register Access */
#define BoardLEDOut_BIT_MASK               (* (reg8 *) BoardLEDOut__BIT_MASK)
/* Bypass Enable */
#define BoardLEDOut_BYP                    (* (reg8 *) BoardLEDOut__BYP)
/* Port wide control signals */                                                   
#define BoardLEDOut_CTL                    (* (reg8 *) BoardLEDOut__CTL)
/* Drive Modes */
#define BoardLEDOut_DM0                    (* (reg8 *) BoardLEDOut__DM0) 
#define BoardLEDOut_DM1                    (* (reg8 *) BoardLEDOut__DM1)
#define BoardLEDOut_DM2                    (* (reg8 *) BoardLEDOut__DM2) 
/* Input Buffer Disable Override */
#define BoardLEDOut_INP_DIS                (* (reg8 *) BoardLEDOut__INP_DIS)
/* LCD Common or Segment Drive */
#define BoardLEDOut_LCD_COM_SEG            (* (reg8 *) BoardLEDOut__LCD_COM_SEG)
/* Enable Segment LCD */
#define BoardLEDOut_LCD_EN                 (* (reg8 *) BoardLEDOut__LCD_EN)
/* Slew Rate Control */
#define BoardLEDOut_SLW                    (* (reg8 *) BoardLEDOut__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define BoardLEDOut_PRTDSI__CAPS_SEL       (* (reg8 *) BoardLEDOut__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define BoardLEDOut_PRTDSI__DBL_SYNC_IN    (* (reg8 *) BoardLEDOut__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define BoardLEDOut_PRTDSI__OE_SEL0        (* (reg8 *) BoardLEDOut__PRTDSI__OE_SEL0) 
#define BoardLEDOut_PRTDSI__OE_SEL1        (* (reg8 *) BoardLEDOut__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define BoardLEDOut_PRTDSI__OUT_SEL0       (* (reg8 *) BoardLEDOut__PRTDSI__OUT_SEL0) 
#define BoardLEDOut_PRTDSI__OUT_SEL1       (* (reg8 *) BoardLEDOut__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define BoardLEDOut_PRTDSI__SYNC_OUT       (* (reg8 *) BoardLEDOut__PRTDSI__SYNC_OUT) 


#if defined(BoardLEDOut__INTSTAT)  /* Interrupt Registers */

    #define BoardLEDOut_INTSTAT                (* (reg8 *) BoardLEDOut__INTSTAT)
    #define BoardLEDOut_SNAP                   (* (reg8 *) BoardLEDOut__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins BoardLEDOut_H */


/* [] END OF FILE */
