/*******************************************************************************
* File Name: LED4ctrl.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LED4ctrl_H) /* Pins LED4ctrl_H */
#define CY_PINS_LED4ctrl_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LED4ctrl_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LED4ctrl_Write(uint8 value) ;
void    LED4ctrl_SetDriveMode(uint8 mode) ;
uint8   LED4ctrl_ReadDataReg(void) ;
uint8   LED4ctrl_Read(void) ;
uint8   LED4ctrl_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LED4ctrl_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LED4ctrl_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LED4ctrl_DM_RES_UP          PIN_DM_RES_UP
#define LED4ctrl_DM_RES_DWN         PIN_DM_RES_DWN
#define LED4ctrl_DM_OD_LO           PIN_DM_OD_LO
#define LED4ctrl_DM_OD_HI           PIN_DM_OD_HI
#define LED4ctrl_DM_STRONG          PIN_DM_STRONG
#define LED4ctrl_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LED4ctrl_MASK               LED4ctrl__MASK
#define LED4ctrl_SHIFT              LED4ctrl__SHIFT
#define LED4ctrl_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LED4ctrl_PS                     (* (reg8 *) LED4ctrl__PS)
/* Data Register */
#define LED4ctrl_DR                     (* (reg8 *) LED4ctrl__DR)
/* Port Number */
#define LED4ctrl_PRT_NUM                (* (reg8 *) LED4ctrl__PRT) 
/* Connect to Analog Globals */                                                  
#define LED4ctrl_AG                     (* (reg8 *) LED4ctrl__AG)                       
/* Analog MUX bux enable */
#define LED4ctrl_AMUX                   (* (reg8 *) LED4ctrl__AMUX) 
/* Bidirectional Enable */                                                        
#define LED4ctrl_BIE                    (* (reg8 *) LED4ctrl__BIE)
/* Bit-mask for Aliased Register Access */
#define LED4ctrl_BIT_MASK               (* (reg8 *) LED4ctrl__BIT_MASK)
/* Bypass Enable */
#define LED4ctrl_BYP                    (* (reg8 *) LED4ctrl__BYP)
/* Port wide control signals */                                                   
#define LED4ctrl_CTL                    (* (reg8 *) LED4ctrl__CTL)
/* Drive Modes */
#define LED4ctrl_DM0                    (* (reg8 *) LED4ctrl__DM0) 
#define LED4ctrl_DM1                    (* (reg8 *) LED4ctrl__DM1)
#define LED4ctrl_DM2                    (* (reg8 *) LED4ctrl__DM2) 
/* Input Buffer Disable Override */
#define LED4ctrl_INP_DIS                (* (reg8 *) LED4ctrl__INP_DIS)
/* LCD Common or Segment Drive */
#define LED4ctrl_LCD_COM_SEG            (* (reg8 *) LED4ctrl__LCD_COM_SEG)
/* Enable Segment LCD */
#define LED4ctrl_LCD_EN                 (* (reg8 *) LED4ctrl__LCD_EN)
/* Slew Rate Control */
#define LED4ctrl_SLW                    (* (reg8 *) LED4ctrl__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LED4ctrl_PRTDSI__CAPS_SEL       (* (reg8 *) LED4ctrl__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LED4ctrl_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LED4ctrl__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LED4ctrl_PRTDSI__OE_SEL0        (* (reg8 *) LED4ctrl__PRTDSI__OE_SEL0) 
#define LED4ctrl_PRTDSI__OE_SEL1        (* (reg8 *) LED4ctrl__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LED4ctrl_PRTDSI__OUT_SEL0       (* (reg8 *) LED4ctrl__PRTDSI__OUT_SEL0) 
#define LED4ctrl_PRTDSI__OUT_SEL1       (* (reg8 *) LED4ctrl__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LED4ctrl_PRTDSI__SYNC_OUT       (* (reg8 *) LED4ctrl__PRTDSI__SYNC_OUT) 


#if defined(LED4ctrl__INTSTAT)  /* Interrupt Registers */

    #define LED4ctrl_INTSTAT                (* (reg8 *) LED4ctrl__INTSTAT)
    #define LED4ctrl_SNAP                   (* (reg8 *) LED4ctrl__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins LED4ctrl_H */


/* [] END OF FILE */
