/*******************************************************************************
* File Name: LEDOut.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LEDOut_H) /* Pins LEDOut_H */
#define CY_PINS_LEDOut_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LEDOut_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LEDOut_Write(uint8 value) ;
void    LEDOut_SetDriveMode(uint8 mode) ;
uint8   LEDOut_ReadDataReg(void) ;
uint8   LEDOut_Read(void) ;
uint8   LEDOut_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LEDOut_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LEDOut_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LEDOut_DM_RES_UP          PIN_DM_RES_UP
#define LEDOut_DM_RES_DWN         PIN_DM_RES_DWN
#define LEDOut_DM_OD_LO           PIN_DM_OD_LO
#define LEDOut_DM_OD_HI           PIN_DM_OD_HI
#define LEDOut_DM_STRONG          PIN_DM_STRONG
#define LEDOut_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LEDOut_MASK               LEDOut__MASK
#define LEDOut_SHIFT              LEDOut__SHIFT
#define LEDOut_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LEDOut_PS                     (* (reg8 *) LEDOut__PS)
/* Data Register */
#define LEDOut_DR                     (* (reg8 *) LEDOut__DR)
/* Port Number */
#define LEDOut_PRT_NUM                (* (reg8 *) LEDOut__PRT) 
/* Connect to Analog Globals */                                                  
#define LEDOut_AG                     (* (reg8 *) LEDOut__AG)                       
/* Analog MUX bux enable */
#define LEDOut_AMUX                   (* (reg8 *) LEDOut__AMUX) 
/* Bidirectional Enable */                                                        
#define LEDOut_BIE                    (* (reg8 *) LEDOut__BIE)
/* Bit-mask for Aliased Register Access */
#define LEDOut_BIT_MASK               (* (reg8 *) LEDOut__BIT_MASK)
/* Bypass Enable */
#define LEDOut_BYP                    (* (reg8 *) LEDOut__BYP)
/* Port wide control signals */                                                   
#define LEDOut_CTL                    (* (reg8 *) LEDOut__CTL)
/* Drive Modes */
#define LEDOut_DM0                    (* (reg8 *) LEDOut__DM0) 
#define LEDOut_DM1                    (* (reg8 *) LEDOut__DM1)
#define LEDOut_DM2                    (* (reg8 *) LEDOut__DM2) 
/* Input Buffer Disable Override */
#define LEDOut_INP_DIS                (* (reg8 *) LEDOut__INP_DIS)
/* LCD Common or Segment Drive */
#define LEDOut_LCD_COM_SEG            (* (reg8 *) LEDOut__LCD_COM_SEG)
/* Enable Segment LCD */
#define LEDOut_LCD_EN                 (* (reg8 *) LEDOut__LCD_EN)
/* Slew Rate Control */
#define LEDOut_SLW                    (* (reg8 *) LEDOut__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LEDOut_PRTDSI__CAPS_SEL       (* (reg8 *) LEDOut__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LEDOut_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LEDOut__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LEDOut_PRTDSI__OE_SEL0        (* (reg8 *) LEDOut__PRTDSI__OE_SEL0) 
#define LEDOut_PRTDSI__OE_SEL1        (* (reg8 *) LEDOut__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LEDOut_PRTDSI__OUT_SEL0       (* (reg8 *) LEDOut__PRTDSI__OUT_SEL0) 
#define LEDOut_PRTDSI__OUT_SEL1       (* (reg8 *) LEDOut__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LEDOut_PRTDSI__SYNC_OUT       (* (reg8 *) LEDOut__PRTDSI__SYNC_OUT) 


#if defined(LEDOut__INTSTAT)  /* Interrupt Registers */

    #define LEDOut_INTSTAT                (* (reg8 *) LEDOut__INTSTAT)
    #define LEDOut_SNAP                   (* (reg8 *) LEDOut__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins LEDOut_H */


/* [] END OF FILE */
