/*******************************************************************************
* File Name: Light1.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Light1_H) /* Pins Light1_H */
#define CY_PINS_Light1_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Light1_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Light1_Write(uint8 value) ;
void    Light1_SetDriveMode(uint8 mode) ;
uint8   Light1_ReadDataReg(void) ;
uint8   Light1_Read(void) ;
uint8   Light1_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Light1_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Light1_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Light1_DM_RES_UP          PIN_DM_RES_UP
#define Light1_DM_RES_DWN         PIN_DM_RES_DWN
#define Light1_DM_OD_LO           PIN_DM_OD_LO
#define Light1_DM_OD_HI           PIN_DM_OD_HI
#define Light1_DM_STRONG          PIN_DM_STRONG
#define Light1_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Light1_MASK               Light1__MASK
#define Light1_SHIFT              Light1__SHIFT
#define Light1_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Light1_PS                     (* (reg8 *) Light1__PS)
/* Data Register */
#define Light1_DR                     (* (reg8 *) Light1__DR)
/* Port Number */
#define Light1_PRT_NUM                (* (reg8 *) Light1__PRT) 
/* Connect to Analog Globals */                                                  
#define Light1_AG                     (* (reg8 *) Light1__AG)                       
/* Analog MUX bux enable */
#define Light1_AMUX                   (* (reg8 *) Light1__AMUX) 
/* Bidirectional Enable */                                                        
#define Light1_BIE                    (* (reg8 *) Light1__BIE)
/* Bit-mask for Aliased Register Access */
#define Light1_BIT_MASK               (* (reg8 *) Light1__BIT_MASK)
/* Bypass Enable */
#define Light1_BYP                    (* (reg8 *) Light1__BYP)
/* Port wide control signals */                                                   
#define Light1_CTL                    (* (reg8 *) Light1__CTL)
/* Drive Modes */
#define Light1_DM0                    (* (reg8 *) Light1__DM0) 
#define Light1_DM1                    (* (reg8 *) Light1__DM1)
#define Light1_DM2                    (* (reg8 *) Light1__DM2) 
/* Input Buffer Disable Override */
#define Light1_INP_DIS                (* (reg8 *) Light1__INP_DIS)
/* LCD Common or Segment Drive */
#define Light1_LCD_COM_SEG            (* (reg8 *) Light1__LCD_COM_SEG)
/* Enable Segment LCD */
#define Light1_LCD_EN                 (* (reg8 *) Light1__LCD_EN)
/* Slew Rate Control */
#define Light1_SLW                    (* (reg8 *) Light1__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Light1_PRTDSI__CAPS_SEL       (* (reg8 *) Light1__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Light1_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Light1__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Light1_PRTDSI__OE_SEL0        (* (reg8 *) Light1__PRTDSI__OE_SEL0) 
#define Light1_PRTDSI__OE_SEL1        (* (reg8 *) Light1__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Light1_PRTDSI__OUT_SEL0       (* (reg8 *) Light1__PRTDSI__OUT_SEL0) 
#define Light1_PRTDSI__OUT_SEL1       (* (reg8 *) Light1__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Light1_PRTDSI__SYNC_OUT       (* (reg8 *) Light1__PRTDSI__SYNC_OUT) 


#if defined(Light1__INTSTAT)  /* Interrupt Registers */

    #define Light1_INTSTAT                (* (reg8 *) Light1__INTSTAT)
    #define Light1_SNAP                   (* (reg8 *) Light1__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Light1_H */


/* [] END OF FILE */
