/*******************************************************************************
* File Name: Light2.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Light2_H) /* Pins Light2_H */
#define CY_PINS_Light2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Light2_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Light2_Write(uint8 value) ;
void    Light2_SetDriveMode(uint8 mode) ;
uint8   Light2_ReadDataReg(void) ;
uint8   Light2_Read(void) ;
uint8   Light2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Light2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Light2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Light2_DM_RES_UP          PIN_DM_RES_UP
#define Light2_DM_RES_DWN         PIN_DM_RES_DWN
#define Light2_DM_OD_LO           PIN_DM_OD_LO
#define Light2_DM_OD_HI           PIN_DM_OD_HI
#define Light2_DM_STRONG          PIN_DM_STRONG
#define Light2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Light2_MASK               Light2__MASK
#define Light2_SHIFT              Light2__SHIFT
#define Light2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Light2_PS                     (* (reg8 *) Light2__PS)
/* Data Register */
#define Light2_DR                     (* (reg8 *) Light2__DR)
/* Port Number */
#define Light2_PRT_NUM                (* (reg8 *) Light2__PRT) 
/* Connect to Analog Globals */                                                  
#define Light2_AG                     (* (reg8 *) Light2__AG)                       
/* Analog MUX bux enable */
#define Light2_AMUX                   (* (reg8 *) Light2__AMUX) 
/* Bidirectional Enable */                                                        
#define Light2_BIE                    (* (reg8 *) Light2__BIE)
/* Bit-mask for Aliased Register Access */
#define Light2_BIT_MASK               (* (reg8 *) Light2__BIT_MASK)
/* Bypass Enable */
#define Light2_BYP                    (* (reg8 *) Light2__BYP)
/* Port wide control signals */                                                   
#define Light2_CTL                    (* (reg8 *) Light2__CTL)
/* Drive Modes */
#define Light2_DM0                    (* (reg8 *) Light2__DM0) 
#define Light2_DM1                    (* (reg8 *) Light2__DM1)
#define Light2_DM2                    (* (reg8 *) Light2__DM2) 
/* Input Buffer Disable Override */
#define Light2_INP_DIS                (* (reg8 *) Light2__INP_DIS)
/* LCD Common or Segment Drive */
#define Light2_LCD_COM_SEG            (* (reg8 *) Light2__LCD_COM_SEG)
/* Enable Segment LCD */
#define Light2_LCD_EN                 (* (reg8 *) Light2__LCD_EN)
/* Slew Rate Control */
#define Light2_SLW                    (* (reg8 *) Light2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Light2_PRTDSI__CAPS_SEL       (* (reg8 *) Light2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Light2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Light2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Light2_PRTDSI__OE_SEL0        (* (reg8 *) Light2__PRTDSI__OE_SEL0) 
#define Light2_PRTDSI__OE_SEL1        (* (reg8 *) Light2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Light2_PRTDSI__OUT_SEL0       (* (reg8 *) Light2__PRTDSI__OUT_SEL0) 
#define Light2_PRTDSI__OUT_SEL1       (* (reg8 *) Light2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Light2_PRTDSI__SYNC_OUT       (* (reg8 *) Light2__PRTDSI__SYNC_OUT) 


#if defined(Light2__INTSTAT)  /* Interrupt Registers */

    #define Light2_INTSTAT                (* (reg8 *) Light2__INTSTAT)
    #define Light2_SNAP                   (* (reg8 *) Light2__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Light2_H */


/* [] END OF FILE */
